package cc.fascinated.common;

import java.math.BigInteger;

/**
 * @author Fascinated (fascinated7)
 */
public class StringUtils {
    /**
     * Converts a string to a hexadecimal string.
     *
     * @param arg the string to convert
     * @return the hexadecimal string
     */
    public static String toHex(String arg) {
        return String.format("%040x", new BigInteger(1, arg.getBytes()));
    }

    /**
     * Generates a random string.
     *
     * @param length the length of the string
     * @return the random string
     */
    public static String randomString(int length) {
        String chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        StringBuilder stringBuilder = new StringBuilder();
        for (int i = 0; i < length; i++) {
            stringBuilder.append(chars.charAt((int) (Math.random() * chars.length())));
        }
        return stringBuilder.toString();
    }
}
