package cc.fascinated.common;

import cc.fascinated.exception.impl.BadRequestException;

import java.util.UUID;

/**
 * @author Fascinated (fascinated7)
 */
public class UUIDUtils {
    /**
     * Parses a UUID from a string.
     *
     * @param id the string to parse
     * @return the UUID
     * @throws BadRequestException if the UUID is invalid
     */
    public static UUID parseUUID(String id) {
        try {
            return UUID.fromString(id);
        } catch (IllegalArgumentException e) {
            throw new BadRequestException("Invalid UUID");
        }
    }
}
