package cc.fascinated.model.auth;

import cc.fascinated.common.StringUtils;
import cc.fascinated.model.token.steam.SteamAuthenticateUserTicketToken;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.data.annotation.Id;
import org.springframework.data.redis.core.RedisHash;

import java.util.UUID;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
@RedisHash(value = "AuthToken", timeToLive = 60 * 60 * 6) // 6 hours
public class AuthToken {
    /**
     * The auth token of the user.
     */
    @Id
    private final String authToken;

    /**
     * The id of the user.
     */
    private final UUID userId;
}
