package cc.fascinated.model.score;

import cc.fascinated.model.user.hmd.DeviceController;
import cc.fascinated.model.user.hmd.DeviceHeadset;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
public class DeviceInformation {
    /**
     * The headset that was used to set the score.
     */
    private final DeviceHeadset headset;

    /**
     * The left controller that was used to set the score.
     */
    private final DeviceController leftController;

    /**
     * The right controller that was used to set the score.
     */
    private final DeviceController rightController;

    /**
     * Checks if the device information contains unknown values.
     *
     * @return if the device information contains unknown values
     */
    public boolean containsUnknownDevices() {
        return headset == DeviceHeadset.UNKNOWN
                || leftController == DeviceController.UNKNOWN
                || rightController == DeviceController.UNKNOWN;
    }
}
