package cc.fascinated.model.user.hmd;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
public enum DeviceController {
    UNKNOWN("Unknown"),

    /**
     * Oculus Controllers
     */
    OCULUS_QUEST_TOUCH("Touch"),
    OCULUS_QUEST_2_TOUCH("Quest 2 Touch"),
    OCULUS_QUEST_3_TOUCH("Quest 3 Touch"),

    /**
     * HP Controllers
     */
    HP_REVERB("HP Reverb"),

    /**
     * Valve Controllers
     */
    VALVE_KNUCKLES("Knuckles");

    /**
     * The controller name
     */
    private final String name;

    /**
     * Gets a controller by its name.
     *
     * @param name the name of the controller
     * @return the controller
     */
    public static DeviceController getByName(String name) {
        for (DeviceController deviceController : values()) {
            if (deviceController.getName().equalsIgnoreCase(name)) {
                return deviceController;
            }
        }
        return null;
    }
}
