package cc.fascinated.services;

import com.mongodb.client.MongoCollection;
import org.bson.Document;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Service;

/**
 * @author Fascinated (fascinated7)
 */
@Service
public class MongoService {
    public static MongoService INSTANCE;
    private final MongoTemplate mongoTemplate;

    @Autowired
    public MongoService(MongoTemplate mongo) {
        INSTANCE = this;
        this.mongoTemplate = mongo;
    }

    /**
     * Get the platforms collection
     *
     * @return The platforms collection
     */
    public MongoCollection<Document> getPlatformsCollection() {
        return mongoTemplate.getCollection("platforms");
    }
}